<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__mf__funcs" kind="group">
    <compoundname>group_sysclk_mf_funcs</compoundname>
    <title>Medium Frequency Domain Clock</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1ga03fe8fcf693221a4ad150a2f3e9fcce4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_MfoEnable</definition>
        <argsstring>(bool deepSleepEnable)</argsstring>
        <name>Cy_SysClk_MfoEnable</name>
        <param>
          <type>bool</type>
          <declname>deepSleepEnable</declname>
        </param>
        <briefdescription>
<para>Enables the MFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>deepSleepEnable</parametername>
</parameternamelist>
<parameterdescription>
<para>enables MFO operation is Deep Sleep low power mode.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />needed<sp />to<sp />source<sp />LCD<sp />with<sp />1MHz<sp />in<sp />Deep<sp />Sleep<sp />mode.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga03fe8fcf693221a4ad150a2f3e9fcce4">Cy_SysClk_MfoEnable</ref>(</highlight><highlight class="keyword">true</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">/*<sp />Enable<sp />MFO<sp />with<sp />Deep<sp />Sleep<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8e3f1571fd13511e9f05be33afd86a4c">Cy_SysClk_ClkMfIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />CLK_MF<sp />is<sp />already<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(2UL<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga6e334afa97fdbf051ab4dd74375f51dd">Cy_SysClk_ClkMfGetDivider</ref>())<sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8d7b2b4f121d2cdee14f8ff4dc14fbd0">Cy_SysClk_ClkMfSetDivider</ref>(2UL);<sp /></highlight><highlight class="comment">/*<sp />Set<sp />CLK_MF<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga27962298db8338018645f00e827a3f6d">Cy_SysClk_ClkMfEnable</ref>();<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />CLK_MF<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkMfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1bd2d0b78f50ccf2402e7f8bfc7bbfb7">Cy_SysClk_ClkMfGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1844" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1834" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1817" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1ga1cb222d86b4698726363ea2d0738e1e0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysClk_MfoIsEnabled</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_MfoIsEnabled</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports whether MFO is enabled or not. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>false - disabled <linebreak />
true - enabled</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />not<sp />more<sp />needed<sp />so<sp />could<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1cb222d86b4698726363ea2d0738e1e0">Cy_SysClk_MfoIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />MFO<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gac76c0197d17dfc0e822a8b556ecf4560">Cy_SysClk_MfoDisable</ref>();<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />MF0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1864" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1861" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1818" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1gac76c0197d17dfc0e822a8b556ecf4560" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_MfoDisable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_MfoDisable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the MFO. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />not<sp />more<sp />needed<sp />so<sp />could<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1cb222d86b4698726363ea2d0738e1e0">Cy_SysClk_MfoIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />MFO<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gac76c0197d17dfc0e822a8b556ecf4560">Cy_SysClk_MfoDisable</ref>();<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />MF0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1887" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1877" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1819" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1ga27962298db8338018645f00e827a3f6d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkMfEnable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkMfEnable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables the CLK_MF. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />needed<sp />to<sp />source<sp />LCD<sp />with<sp />1MHz<sp />in<sp />Deep<sp />Sleep<sp />mode.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga03fe8fcf693221a4ad150a2f3e9fcce4">Cy_SysClk_MfoEnable</ref>(</highlight><highlight class="keyword">true</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">/*<sp />Enable<sp />MFO<sp />with<sp />Deep<sp />Sleep<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8e3f1571fd13511e9f05be33afd86a4c">Cy_SysClk_ClkMfIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />CLK_MF<sp />is<sp />already<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(2UL<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga6e334afa97fdbf051ab4dd74375f51dd">Cy_SysClk_ClkMfGetDivider</ref>())<sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8d7b2b4f121d2cdee14f8ff4dc14fbd0">Cy_SysClk_ClkMfSetDivider</ref>(2UL);<sp /></highlight><highlight class="comment">/*<sp />Set<sp />CLK_MF<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga27962298db8338018645f00e827a3f6d">Cy_SysClk_ClkMfEnable</ref>();<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />CLK_MF<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkMfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1bd2d0b78f50ccf2402e7f8bfc7bbfb7">Cy_SysClk_ClkMfGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1918" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1908" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1890" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1ga8e3f1571fd13511e9f05be33afd86a4c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysClk_ClkMfIsEnabled</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkMfIsEnabled</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports whether CLK_MF is enabled or not. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>false - disabled <linebreak />
true - enabled</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />needed<sp />to<sp />source<sp />LCD<sp />with<sp />1MHz<sp />in<sp />Deep<sp />Sleep<sp />mode.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga03fe8fcf693221a4ad150a2f3e9fcce4">Cy_SysClk_MfoEnable</ref>(</highlight><highlight class="keyword">true</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">/*<sp />Enable<sp />MFO<sp />with<sp />Deep<sp />Sleep<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8e3f1571fd13511e9f05be33afd86a4c">Cy_SysClk_ClkMfIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />CLK_MF<sp />is<sp />already<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(2UL<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga6e334afa97fdbf051ab4dd74375f51dd">Cy_SysClk_ClkMfGetDivider</ref>())<sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8d7b2b4f121d2cdee14f8ff4dc14fbd0">Cy_SysClk_ClkMfSetDivider</ref>(2UL);<sp /></highlight><highlight class="comment">/*<sp />Set<sp />CLK_MF<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga27962298db8338018645f00e827a3f6d">Cy_SysClk_ClkMfEnable</ref>();<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />CLK_MF<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkMfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1bd2d0b78f50ccf2402e7f8bfc7bbfb7">Cy_SysClk_ClkMfGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1938" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1935" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1891" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkMfDisable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkMfDisable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the CLK_MF. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />not<sp />more<sp />needed<sp />so<sp />could<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1cb222d86b4698726363ea2d0738e1e0">Cy_SysClk_MfoIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />MFO<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gac76c0197d17dfc0e822a8b556ecf4560">Cy_SysClk_MfoDisable</ref>();<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />MF0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1961" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1951" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1892" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1ga8d7b2b4f121d2cdee14f8ff4dc14fbd0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkMfSetDivider</definition>
        <argsstring>(uint32_t divider)</argsstring>
        <name>Cy_SysClk_ClkMfSetDivider</name>
        <param>
          <type>uint32_t</type>
          <declname>divider</declname>
        </param>
        <briefdescription>
<para>Sets the clock divider for CLK_MF. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition-precondition admonition"&gt;&lt;p class="admonition-title"&gt;&lt;span&gt;Precondition&lt;/span&gt;&lt;/p&gt;&lt;p&gt;&lt;p&gt;If the CLK_MF is already enabled - it should be disabled prior to use this function by &lt;a href="group__group__sysclk__mf__funcs.html#group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64"&gt;Cy_SysClk_ClkMfDisable&lt;/a&gt;.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>divider</parametername>
</parameternamelist>
<parameterdescription>
<para>divider value between 1 and 256.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />needed<sp />to<sp />source<sp />LCD<sp />with<sp />1MHz<sp />in<sp />Deep<sp />Sleep<sp />mode.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga03fe8fcf693221a4ad150a2f3e9fcce4">Cy_SysClk_MfoEnable</ref>(</highlight><highlight class="keyword">true</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">/*<sp />Enable<sp />MFO<sp />with<sp />Deep<sp />Sleep<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8e3f1571fd13511e9f05be33afd86a4c">Cy_SysClk_ClkMfIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />CLK_MF<sp />is<sp />already<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(2UL<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga6e334afa97fdbf051ab4dd74375f51dd">Cy_SysClk_ClkMfGetDivider</ref>())<sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8d7b2b4f121d2cdee14f8ff4dc14fbd0">Cy_SysClk_ClkMfSetDivider</ref>(2UL);<sp /></highlight><highlight class="comment">/*<sp />Set<sp />CLK_MF<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga27962298db8338018645f00e827a3f6d">Cy_SysClk_ClkMfEnable</ref>();<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />CLK_MF<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkMfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1bd2d0b78f50ccf2402e7f8bfc7bbfb7">Cy_SysClk_ClkMfGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1999" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1986" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1893" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1ga6e334afa97fdbf051ab4dd74375f51dd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SysClk_ClkMfGetDivider</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkMfGetDivider</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the clock divider of CLK_MF. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>divider value in range 1..256.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />needed<sp />to<sp />source<sp />LCD<sp />with<sp />1MHz<sp />in<sp />Deep<sp />Sleep<sp />mode.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga03fe8fcf693221a4ad150a2f3e9fcce4">Cy_SysClk_MfoEnable</ref>(</highlight><highlight class="keyword">true</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">/*<sp />Enable<sp />MFO<sp />with<sp />Deep<sp />Sleep<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8e3f1571fd13511e9f05be33afd86a4c">Cy_SysClk_ClkMfIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />CLK_MF<sp />is<sp />already<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(2UL<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga6e334afa97fdbf051ab4dd74375f51dd">Cy_SysClk_ClkMfGetDivider</ref>())<sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8d7b2b4f121d2cdee14f8ff4dc14fbd0">Cy_SysClk_ClkMfSetDivider</ref>(2UL);<sp /></highlight><highlight class="comment">/*<sp />Set<sp />CLK_MF<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga27962298db8338018645f00e827a3f6d">Cy_SysClk_ClkMfEnable</ref>();<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />CLK_MF<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkMfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1bd2d0b78f50ccf2402e7f8bfc7bbfb7">Cy_SysClk_ClkMfGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2017" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2014" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1894" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__mf__funcs_1ga1bd2d0b78f50ccf2402e7f8bfc7bbfb7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SysClk_ClkMfGetFrequency</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkMfGetFrequency</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports the output clock signal frequency of CLK_MF. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The frequency, in Hz.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />MFO<sp />is<sp />needed<sp />to<sp />source<sp />LCD<sp />with<sp />1MHz<sp />in<sp />Deep<sp />Sleep<sp />mode.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga03fe8fcf693221a4ad150a2f3e9fcce4">Cy_SysClk_MfoEnable</ref>(</highlight><highlight class="keyword">true</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">/*<sp />Enable<sp />MFO<sp />with<sp />Deep<sp />Sleep<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8e3f1571fd13511e9f05be33afd86a4c">Cy_SysClk_ClkMfIsEnabled</ref>())<sp /></highlight><highlight class="comment">/*<sp />If<sp />CLK_MF<sp />is<sp />already<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1gaf773404ad70105aaad85d444c771ea64">Cy_SysClk_ClkMfDisable</ref>();<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(2UL<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga6e334afa97fdbf051ab4dd74375f51dd">Cy_SysClk_ClkMfGetDivider</ref>())<sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga8d7b2b4f121d2cdee14f8ff4dc14fbd0">Cy_SysClk_ClkMfSetDivider</ref>(2UL);<sp /></highlight><highlight class="comment">/*<sp />Set<sp />CLK_MF<sp />divider<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga27962298db8338018645f00e827a3f6d">Cy_SysClk_ClkMfEnable</ref>();<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />CLK_MF<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />CLK_MF<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkMfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__mf__funcs_1ga1bd2d0b78f50ccf2402e7f8bfc7bbfb7">Cy_SysClk_ClkMfGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2039" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2032" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1895" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The Medium Frequency Domain Clock is present only in SRSS_ver1_3. </para>    </briefdescription>
    <detaileddescription>
<para>Consists of MFO - the Medium Frequency Oscillator, and CLK_MF - the Medium Frequency Clock divider. This clock chain is designed to source the LCD block in Deep Sleep mode, see <ref kindref="member" refid="group__group__seglcd__enums_1ga4e8bfe5d2149ea8d82ac609367709c95">cy_en_seglcd_lsclk_t</ref>. </para>    </detaileddescription>
  </compounddef>
</doxygen>